MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031037Open CASCADE[OCCT] OCCT:Foundation Classespublic2019-10-05 23:282019-10-08 06:26
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusreviewedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031037: Foundation Classes - add class Message_PrinterSystemLog for printing messages into system log
DescriptionSometimes it is useful writing messages into system log instead of console or application message log. One of use cases is Android platform, where console output (std::cout / std::cerr) goes nowhere or GUI applications in Windows.

New class Message_PrinterSystemLog can be used for logging messages into system log for debugging application in restricted environment.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Filespng file icon draw_sys_log.png (34,769 bytes) 2019-10-05 23:33
png file icon draw_syslog_linux.png (66,754 bytes) 2019-10-06 00:13

- Relationships

-  Notes
(0087878)
git (administrator)
2019-10-05 23:37

Branch CR31037 has been created by kgv.

SHA-1: 30db93d068a50d2f24e8d20473457fdfb3b076be


Detailed log of new commits:

Author: kgv
Date: Sat Oct 5 23:34:35 2019 +0300

    0031037: Foundation Classes - add class Message_PrinterSystemLog for printing messages into system log
(0087879)
git (administrator)
2019-10-06 00:09

Branch CR31037 has been updated forcibly by kgv.

SHA-1: c9b7c9b3b58270afdacb97ab53af45b06a712bd2
(0087880)
kgv (developer)
2019-10-06 00:33

Patch is ready for review.
(0087933)
abv (manager)
2019-10-08 06:26

No remarka, please integrate

- Issue History
Date Modified Username Field Change
2019-10-05 23:28 kgv New Issue
2019-10-05 23:28 kgv Assigned To => abv
2019-10-05 23:33 kgv File Added: draw_sys_log.png
2019-10-05 23:37 git Note Added: 0087878
2019-10-06 00:09 git Note Added: 0087879
2019-10-06 00:13 kgv File Added: draw_syslog_linux.png
2019-10-06 00:33 kgv Note Added: 0087880
2019-10-06 00:33 kgv Status new => resolved
2019-10-08 06:26 abv Note Added: 0087933
2019-10-08 06:26 abv Assigned To abv => bugmaster
2019-10-08 06:26 abv Status resolved => reviewed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker